Bug 92430 - LOCALHELP: Use URI instead of URL in help pages for WEBSERVICE and FILTERXML spreadsheet functions
Summary: LOCALHELP: Use URI instead of URL in help pages for WEBSERVICE and FILTERXML ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
4.4.4.3 release
Hardware: Other All
: medium enhancement
Assignee: Olivier Hallot
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks: HelpGaps-NewFeatures
  Show dependency treegraph
 
Reported: 2015-06-29 15:30 UTC by pierre-yves samyn
Modified: 2018-01-28 17:53 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description pierre-yves samyn 2015-06-29 15:30:37 UTC
Hi

WEBSERVICE and FILTERXML functions get some web content from URIs.

The help examples use URLs :
https://help.libreoffice.org/4.4/Calc/WEBSERVICE/fr

It seems to me that it would be better to use URIs in the examples:

api.openweathermap.org/data/2.5/forecast?q=Copenhagen,dk&mode=xml&units=metric

instead of:

http://api.openweathermap.org/data/2.5/forecast?q=Copenhagen,dk&mode=xml&units=metric

Thank you for your much appreciated work.

Regards
Pierre-Yves
Comment 1 pierre-yves samyn 2015-06-29 15:33:05 UTC
I have given mistakenly the francophone link to the source page, but of course it is this:

https://help.libreoffice.org/4.4/Calc/WEBSERVICE

Pierre-Yves
Comment 2 Dennis Roczek 2015-06-29 16:03:03 UTC
"The URI syntax consists of a URI scheme name (such as "http", "ftp", "mailto", "crid" or "file") followed by a colon character, and then by a scheme-specific part." - https://en.wikipedia.org/wiki/Uniform_resource_identifier

why removing the protocol type? theoretical (very theoretical) a web service could be implemented using ftp. (not so theoretical: setting up a https web service without a redirection from http)
Comment 3 pierre-yves samyn 2015-06-29 17:29:48 UTC
Hi Dennis

(In reply to Dennis Roczek from comment #2)

thank you for the link... I guess I should not have posted this request if I did not know that, do you think?

> why removing the protocol type? 

1. Because it is not necessary...
2. Because help says the function use URI (and it is right) and not only URL, although it is obvious that it works with the protocol...
3. Because it gives an incomplete picture
4. Because I do not see one good reason to have only examples with protocol...

It seems to me necessary to give *at least* one example without specifying the protocol.


Regards
Pierre-Yves
Comment 4 Adolfo Jayme 2015-11-24 00:23:04 UTC
Pierre-Yves, I looked at replacing the URL in our help, but nowadays OpenWeatherMap is no longer a good example for it, because they have restricted open access to their API. http://openweathermap.org/faq#error401

Do you know of any other service we can use to showcase the functionality of this Calc function in Help? Otherwise I’ll just remove the paragraph, because it’s no longer useful.
Comment 5 pierre-yves samyn 2015-11-24 08:14:59 UTC
Hi

(In reply to Adolfo Jayme from comment #4)
> Pierre-Yves, I looked at replacing the URL in our help, 

Thank you :)


> OpenWeatherMap is no longer a good example for it, because they have
> restricted open access to their API. 

Ouch :(
 
> Do you know of any other service we can use 

No... and very sorry I do not really have the time to invest. Markus Mohrhard might have ideas?

May be we can use something like:

=WEBSERVICE("wiki.documentfoundation.org/api.php?hidebots=1&days=7&limit=50&action=feedrecentchanges&feedformat=rss")

and:

=FILTERXML(A1;"//lastBuildDate")

?

> Otherwise I’ll just remove the paragraph,
> because it’s no longer useful.

This may be an option...

Best regards
Pierre-Yves
Comment 6 Commit Notification 2018-01-26 23:02:34 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=5be1429f1ad6ac472836097516ab3cd0681ecf38

tdf#92430 Better example for =WEBSERVICE()